#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
#endregion

namespace Projet_GestionCommerceInfo.Classes
{
 /// <summary>
 /// Classe de définition des données
 /// </summary>
 public class C_Panier
 {
  #region Données membres
  private int _ID;
  private int _UserId;
  private string _Nom;
  private int? _Status;
  private DateTime? _DateAchat;
  private int _Type;
  #endregion
  #region Constructeurs
  public C_Panier()
  { }
  public C_Panier(int UserId_, string Nom_, int? Status_, DateTime? DateAchat_, int Type_)
  {
   UserId = UserId_;
   Nom = Nom_;
   Status = Status_;
   DateAchat = DateAchat_;
   Type = Type_;
  }
  public C_Panier(int ID_, int UserId_, string Nom_, int? Status_, DateTime? DateAchat_, int Type_)
   : this(UserId_, Nom_, Status_, DateAchat_, Type_)
  {
   ID = ID_;
  }
  #endregion
  #region Accesseurs
  public int ID
  {
   get { return _ID; }
   set { _ID = value; }
  }
  public int UserId
  {
   get { return _UserId; }
   set { _UserId = value; }
  }
  public string Nom
  {
   get { return _Nom; }
   set { _Nom = value; }
  }
  public int? Status
  {
   get { return _Status; }
   set { _Status = value; }
  }
  public DateTime? DateAchat
  {
   get { return _DateAchat; }
   set { _DateAchat = value; }
  }
  public int Type
  {
   get { return _Type; }
   set { _Type = value; }
  }
  #endregion
 }
}
