#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
using Projet_GestionCommerceInfo.Classes;
using Projet_GestionCommerceInfo.Acces;
#endregion

namespace Projet_GestionCommerceInfo.Gestion
{
 /// <summary>
 /// Couche intermédiaire de gestion (Business Layer)
 /// </summary>
 public class G_Panier : G_Base
 {
  #region Constructeurs
  public G_Panier()
   : base()
  { }
  public G_Panier(string sChaineConnexion)
   : base(sChaineConnexion)
  { }
  #endregion
  public int Ajouter(int UserId, string Nom, int? Status, DateTime? DateAchat, int Type)
  { return new A_Panier(ChaineConnexion).Ajouter(UserId, Nom, Status, DateAchat, Type); }
  public int Modifier(int ID, int UserId, string Nom, int? Status, DateTime? DateAchat, int Type)
  { return new A_Panier(ChaineConnexion).Modifier(ID, UserId, Nom, Status, DateAchat, Type); }
  public List<C_Panier> Lire(string Index)
  { return new A_Panier(ChaineConnexion).Lire(Index); }
  public C_Panier Lire_ID(int ID)
  { return new A_Panier(ChaineConnexion).Lire_ID(ID); }
  public int Supprimer(int ID)
  { return new A_Panier(ChaineConnexion).Supprimer(ID); }
 }
}
