#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
#endregion

namespace Projet_GestionCommerceInfo.Classes
{
 /// <summary>
 /// Classe de définition des données
 /// </summary>
 public class C_Article
 {
  #region Données membres
  private int _ID;
  private string _Designation;
  private int _Stock;
  private bool _Visible;
  private bool _Actif;
  private decimal? _PrixHTVA;
  #endregion
  #region Constructeurs
  public C_Article()
  { }
  public C_Article(string Designation_, int Stock_, bool Visible_, bool Actif_, decimal? PrixHTVA_)
  {
   Designation = Designation_;
   Stock = Stock_;
   Visible = Visible_;
   Actif = Actif_;
   PrixHTVA = PrixHTVA_;
  }
  public C_Article(int ID_, string Designation_, int Stock_, bool Visible_, bool Actif_, decimal? PrixHTVA_)
   : this(Designation_, Stock_, Visible_, Actif_, PrixHTVA_)
  {
   ID = ID_;
  }
  #endregion
  #region Accesseurs
  public int ID
  {
   get { return _ID; }
   set { _ID = value; }
  }
  public string Designation
  {
   get { return _Designation; }
   set { _Designation = value; }
  }
  public int Stock
  {
   get { return _Stock; }
   set { _Stock = value; }
  }
  public bool Visible
  {
   get { return _Visible; }
   set { _Visible = value; }
  }
  public bool Actif
  {
   get { return _Actif; }
   set { _Actif = value; }
  }
  public decimal? PrixHTVA
  {
   get { return _PrixHTVA; }
   set { _PrixHTVA = value; }
  }
  #endregion
 }
}
