#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
#endregion

namespace Projet_GestionCommerceInfo.Classes
{
 /// <summary>
 /// Classe de définition des données
 /// </summary>
 public class C_LSTArticle
 {
  #region Données membres
  private int _ID;
  private int _PanierID;
  private int _ArticleID;
  private int _Quantite;
  private decimal? _PrixHTVA;
  private int? _TVA;
  #endregion
  #region Constructeurs
  public C_LSTArticle()
  { }
  public C_LSTArticle(int PanierID_, int ArticleID_, int Quantite_, decimal? PrixHTVA_, int? TVA_)
  {
   PanierID = PanierID_;
   ArticleID = ArticleID_;
   Quantite = Quantite_;
   PrixHTVA = PrixHTVA_;
   TVA = TVA_;
  }
  public C_LSTArticle(int ID_, int PanierID_, int ArticleID_, int Quantite_, decimal? PrixHTVA_, int? TVA_)
   : this(PanierID_, ArticleID_, Quantite_, PrixHTVA_, TVA_)
  {
   ID = ID_;
  }
  #endregion
  #region Accesseurs
  public int ID
  {
   get { return _ID; }
   set { _ID = value; }
  }
  public int PanierID
  {
   get { return _PanierID; }
   set { _PanierID = value; }
  }
  public int ArticleID
  {
   get { return _ArticleID; }
   set { _ArticleID = value; }
  }
  public int Quantite
  {
   get { return _Quantite; }
   set { _Quantite = value; }
  }
  public decimal? PrixHTVA
  {
   get { return _PrixHTVA; }
   set { _PrixHTVA = value; }
  }
  public int? TVA
  {
   get { return _TVA; }
   set { _TVA = value; }
  }
  #endregion
 }
}
