#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
#endregion

namespace Projet_GestionCommerceInfo.Classes
{
 /// <summary>
 /// Classe de définition des données
 /// </summary>
 public class C_Utilisateur
 {
  #region Données membres
  private int _ID;
  private string _Nom;
  private string _Prenom;
  private string _Adresse;
  private string _NCompte;
  private DateTime? _DateDeNaisance;
  private int _type;
  private bool _Actif;
  private string _email;
  #endregion
  #region Constructeurs
  public C_Utilisateur()
  { }
  public C_Utilisateur(string Nom_, string Prenom_, string Adresse_, string NCompte_, DateTime? DateDeNaisance_, int type_, bool Actif_, string email_)
  {
   Nom = Nom_;
   Prenom = Prenom_;
   Adresse = Adresse_;
   NCompte = NCompte_;
   DateDeNaisance = DateDeNaisance_;
   type = type_;
   Actif = Actif_;
   email = email_;
  }
  public C_Utilisateur(int ID_, string Nom_, string Prenom_, string Adresse_, string NCompte_, DateTime? DateDeNaisance_, int type_, bool Actif_, string email_)
   : this(Nom_, Prenom_, Adresse_, NCompte_, DateDeNaisance_, type_, Actif_, email_)
  {
   ID = ID_;
  }
  #endregion
  #region Accesseurs
  public int ID
  {
   get { return _ID; }
   set { _ID = value; }
  }
  public string Nom
  {
   get { return _Nom; }
   set { _Nom = value; }
  }
  public string Prenom
  {
   get { return _Prenom; }
   set { _Prenom = value; }
  }
  public string Adresse
  {
   get { return _Adresse; }
   set { _Adresse = value; }
  }
  public string NCompte
  {
   get { return _NCompte; }
   set { _NCompte = value; }
  }
  public DateTime? DateDeNaisance
  {
   get { return _DateDeNaisance; }
   set { _DateDeNaisance = value; }
  }
  public int type
  {
   get { return _type; }
   set { _type = value; }
  }
  public bool Actif
  {
   get { return _Actif; }
   set { _Actif = value; }
  }
  public string email
  {
   get { return _email; }
   set { _email = value; }
  }
  #endregion
 }
}
