#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
using Projet_GestionCommerceInfo.Classes;
using Projet_GestionCommerceInfo.Acces;
#endregion

namespace Projet_GestionCommerceInfo.Gestion
{
 /// <summary>
 /// Couche intermédiaire de gestion (Business Layer)
 /// </summary>
 public class G_Article : G_Base
 {
  #region Constructeurs
  public G_Article()
   : base()
  { }
  public G_Article(string sChaineConnexion)
   : base(sChaineConnexion)
  { }
  #endregion
  public int Ajouter(string Designation, int Stock, bool Visible, bool Actif, decimal? PrixHTVA)
  { return new A_Article(ChaineConnexion).Ajouter(Designation, Stock, Visible, Actif, PrixHTVA); }
  public int Modifier(int ID, string Designation, int Stock, bool Visible, bool Actif, decimal? PrixHTVA)
  { return new A_Article(ChaineConnexion).Modifier(ID, Designation, Stock, Visible, Actif, PrixHTVA); }
  public List<C_Article> Lire(string Index)
  { return new A_Article(ChaineConnexion).Lire(Index); }
  public C_Article Lire_ID(int ID)
  { return new A_Article(ChaineConnexion).Lire_ID(ID); }
  public int Supprimer(int ID)
  { return new A_Article(ChaineConnexion).Supprimer(ID); }
 }
}
