#region Ressources extérieures
using System;
using System.Collections.Generic;
using System.Text;
using Projet_GestionCommerceInfo.Classes;
using Projet_GestionCommerceInfo.Acces;
#endregion

namespace Projet_GestionCommerceInfo.Gestion
{
 /// <summary>
 /// Couche intermédiaire de gestion (Business Layer)
 /// </summary>
 public class G_Utilisateur : G_Base
 {
  #region Constructeurs
  public G_Utilisateur()
   : base()
  { }
  public G_Utilisateur(string sChaineConnexion)
   : base(sChaineConnexion)
  { }
  #endregion
  public int Ajouter(string Nom, string Prenom, string Adresse, string NCompte, DateTime? DateDeNaisance, int type, bool Actif, string email)
  { return new A_Utilisateur(ChaineConnexion).Ajouter(Nom, Prenom, Adresse, NCompte, DateDeNaisance, type, Actif, email); }
  public int Modifier(int ID, string Nom, string Prenom, string Adresse, string NCompte, DateTime? DateDeNaisance, int type, bool Actif, string email)
  { return new A_Utilisateur(ChaineConnexion).Modifier(ID, Nom, Prenom, Adresse, NCompte, DateDeNaisance, type, Actif, email); }
  public List<C_Utilisateur> Lire(string Index)
  { return new A_Utilisateur(ChaineConnexion).Lire(Index); }
  public C_Utilisateur Lire_ID(int ID)
  { return new A_Utilisateur(ChaineConnexion).Lire_ID(ID); }
  public int Supprimer(int ID)
  { return new A_Utilisateur(ChaineConnexion).Supprimer(ID); }
 }
}
